# Delete document

Delete a document

Endpoint: DELETE /document/{id}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `document` (object)

  - `document.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `document.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `document.uuid` (string, required)

  - `document.primaryPlatformId` (string, required)

  - `document.createdAt` (string)
    The date and time this Entity has been created

  - `document.updatedAt` (string)
    The date and time this Entity has been updated

  - `document.language` (object)
    circular reference

  - `document.name` (string)

  - `document.description` (string)

  - `document.expiresAt` (string)

  - `document.fileName` (string)

  - `document.mimeType` (string)

  - `document.encoding` (string)

  - `document.verified` (boolean)

  - `document.owner` (object)

  - `document.owner.associationType` (string)
    Enum: "inline", "reference"

  - `document.content` (object, required)

  - `document.content.id` (string)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `document.content.contentType` (string)
    Enum: "data", "uri"

  - `document.file` (object)

  - `document.file.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `document.file.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `document.file.uuid` (string, required)

  - `document.file.primaryPlatformId` (string, required)

  - `document.file.createdAt` (string)
    The date and time this Entity has been created

  - `document.file.updatedAt` (string)
    The date and time this Entity has been updated

  - `document.file.language` (object)
    circular reference

  - `document.file.url` (string)

  - `document.file.path` (string)

  - `document.file.name` (string)

  - `document.file.originalName` (string)

  - `document.file.size` (integer)

  - `document.file.purpose` (string)

  - `document.file.type` (string)
    Enum: "IMAGE", "VIDEO", "MUSIC", "WORD", "EXCEL", "CSV", "PDF", "EMAIL", "JSON"

  - `document.file.mimeType` (string)

  - `document.file.extension` (string)

  - `document.file.identifiers` (array)

  - `document.file.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `document.file.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `document.file.identifiers.uuid` (string, required)

  - `document.file.identifiers.primaryPlatformId` (string, required)

  - `document.file.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `document.file.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `document.file.identifiers.language` (object)
    circular reference

  - `document.file.identifiers.name` (string)

  - `document.file.identifiers.system` (string)

  - `document.file.identifiers.value` (string)

  - `document.file.identifiers.expiredAt` (string)

  - `document.file.bucket` (object)

  - `document.file.bucket.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `document.file.bucket.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `document.file.bucket.uuid` (string, required)

  - `document.file.bucket.primaryPlatformId` (string, required)

  - `document.file.bucket.createdAt` (string)
    The date and time this Entity has been created

  - `document.file.bucket.updatedAt` (string)
    The date and time this Entity has been updated

  - `document.file.bucket.language` (object)
    circular reference

  - `document.file.bucket.name` (string)

  - `document.file.uploadedAt` (string)

  - `document.file.tempFile` (string)

  - `document.file.contentMatrix` (array)

  - `document.identifiers` (array)

  - `document.externalAttributes` (object)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


